# AutoMedia
Automatically track new releases of media and download them. Currently works with rss for torrent sites (`nyaa.si`) and a for these manga sites: `manganelo.com`, `manganelos.com`, `mangatown.com`, `mangakakalot.com`, `mangakatana.com`, `lhtranslation.net`, `readm.org`, `mangaplus.shueisha.co.jp` and `mangadex.org`.
A notification is shown on the screen when a download finishes (if notify-send is installed).

## Installation
Run `sudo ./install.sh` to install AutoMedia. If you are running Arch Linux, then you can find AutoMedia on aur under the name automedia-git (`yay -S automedia-git`).

AutoMedia checks and downloads updates every 15 minutes.
Torrents stop seeding after a ratio of 2.0.
## Usage
Run automedia with `sync` option and keep it running to track media. You can then use `add` option to add new media to track.\
Removing media from being synced can be done by removing the tracked directory in `~/.config/automedia/rss/tracked` or `~/.config/automedia/html/tracked` or by using `automedia cleanup`.\
It is recommended to create a new directory specifically for automedia sync, otherwise tools like `open_media.py` might not work correctly.\
Run automedia without any options to see all options.

If `$HOME/.config/automedia/download_finished.sh` exists then it's called when a download finishes. The first argument is either `html` or `rss` and the second argument is the full path to the rss file (anime episode video) or html directory (manga chapter).
# Requirements
## System
curl, transmission-cli, notify-send (optional)
## Python 3
lxml, requests, pure_protobuf (optional, used with mangaplus.shueisha.co.jp)
# Requirements when using open_media.py
## System
dmenu, sxiv (for manga), mpv (for anime)
# Important
Do not move files inside the download directory. If you want to move them, move the whole download directory
when automedia is not running and then set the download directory to the new location when using sync command.
# Dev info
titles of manga need to be stripped of spaces on both ends and replace all `/` with `_`.
